=== pg_documentdb/src/test/Makefile ===
subdir = src/test

check-regress:
	$(MAKE) -C regress all

check-extended-rum:
	$(MAKE) -C extended_rum_tests all

all: check-regress check-extended-rum
