=== pg_documentdb_core/src/test/Makefile ===
subdir = src/test

check-regress:
	$(MAKE) -C regress all

all: check-regress
