=== internal/pg_documentdb_distributed/src/test/Makefile ===
subdir = src/test

check-regress:
	$(MAKE) -C regress all

check-dist-minimal:
	$(MAKE) -C regress $@

all: check-regress
