## documentdb 0.108-0

=== debian/changelog ===
documentdb (0.108-0-0ubuntu1) resolute; urgency=medium

  * Initial release (LP: #2141590)

 -- Lena Voytek <lena@voytek.dev>  Wed, 11 Feb 2026 14:55:25 -0500
