=== debian/control ===
Source: documentdb
Section: database
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 libbson-dev,
 libicu-dev,
 libintelrdfpmath-dev,
 libkrb5-dev,
 libpcre2-dev,
 pkgconf,
 postgresql-server-dev-all (>= 217~),
 systemtap-sdt-dev,
Standards-Version: 4.7.3
Rules-Requires-Root: no
Homepage: https://github.com/documentdb/documentdb
Vcs-Browser: https://salsa.debian.org/postgresql/documentdb
Vcs-Git: https://salsa.debian.org/postgresql/documentdb.git

Package: postgresql-18-documentdb
Architecture: any
Depends:
 postgresql-18-cron,
 postgresql-18-pgvector,
 postgresql-18-postgis-3,
 postgresql-18-rum,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: MongoDB-compatible open source document database built on PostgreSQL
 DocumentDB is a MongoDB-compatible open source document database built on
 PostgreSQL. It offers a native implementation of a document-oriented NoSQL
 database, enabling seamless CRUD (Create, Read, Update, Delete) operations on
 BSON (Binary JSON) data types within a PostgreSQL framework. Beyond basic
 operations, DocumentDB empowers users to execute complex workloads, including
 full-text searches, geospatial queries, and vector search, delivering robust
 functionality and flexibility for diverse data management needs.
