=== debian/watch ===
Version: 5

Source: https://github.com/documentdb/documentdb/tags
Matching-Pattern: .*/v?(.*).tar.gz
